org.freedesktop.cairo

## Class Antialias

- Object
- - org.freedesktop.bindings.Constant
  - - org.freedesktop.cairo.Antialias

-     public class Antialias
      extends org.freedesktop.bindings.Constant

  The type of antialiasing to do when rendering text or shapes.
  Since:
    4.0.7
  Author:
    Vreixo Formoso

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Antialias` | `DEFAULT` Use the default antialiasing for the subsystem and target device.
    `static Antialias` | `GRAY` Perform single-color antialiasing.
    `static Antialias` | `NONE` Don't do antialiasing.
    `static Antialias` | `SUBPIXEL` Perform antialiasing based on the subpixel ordering.

  - ### Method Summary

    - ### Methods inherited from class org.freedesktop.bindings.Constant

      `toString`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final Antialias DEFAULT

      Use the default antialiasing for the subsystem and target device. Assuming your X server is hehaving, this will Just Work (tm) properly, and is what you want.

    - #### GRAY

          public static final Antialias GRAY

      Perform single-color antialiasing.

      This means (for example) "using shades of gray for black text on a white background".

    - #### NONE

          public static final Antialias NONE

      Don't do antialiasing.

      Strictly, this means using a "bilevel alpha mask".

    - #### SUBPIXEL

          public static final Antialias SUBPIXEL

      Perform antialiasing based on the subpixel ordering.

      When the layout of the individual colour elements making up each individual pixel on an LCD panel is known, then Cairo is able to do an even more subtle job of antialiasing.

      This has no effect on CRT monitors, where the pixels are rendered as unique points by the ray gun, and are not the result of the cumulative effect of three different co-located light sources at each pixel.